Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlInplaceSelect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          org.richfaces.component.UIInplaceSelect
                              org.richfaces.component.html.HtmlInplaceSelect

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlInplaceSelect

extends UIInplaceSelect

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlInplaceSelect()`

Method Summary
`java.lang.String` | `getCancelControlIcon()`
`java.lang.String` | `getChangedClass()`
`java.lang.String` | `getControlClass()`
`java.lang.String` | `getControlHoverClass()`
`java.lang.String` | `getControlPressClass()`
`java.lang.String` | `getControlsHorizontalPosition()`
`java.lang.String` | `getControlsVerticalPosition()`
`java.lang.String` | `getDefaultLabel()`
`java.lang.String` | `getEditClass()`
`java.lang.String` | `getEditEvent()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getLayout()`
`java.lang.String` | `getListHeight()`
`java.lang.String` | `getListWidth()`
`java.lang.String` | `getMaxSelectWidth()`
`java.lang.String` | `getMinSelectWidth()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOneditactivated()`
`java.lang.String` | `getOneditactivation()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOninputblur()`
`java.lang.String` | `getOninputclick()`
`java.lang.String` | `getOninputdblclick()`
`java.lang.String` | `getOninputfocus()`
`java.lang.String` | `getOninputkeydown()`
`java.lang.String` | `getOninputkeypress()`
`java.lang.String` | `getOninputkeyup()`
`java.lang.String` | `getOninputmousedown()`
`java.lang.String` | `getOninputmousemove()`
`java.lang.String` | `getOninputmouseout()`
`java.lang.String` | `getOninputmouseover()`
`java.lang.String` | `getOninputmouseup()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.String` | `getOnviewactivated()`
`java.lang.String` | `getOnviewactivation()`
`java.lang.String` | `getSaveControlIcon()`
`java.lang.String` | `getSelectWidth()`
`java.lang.String` | `getStyleClass()`
`int` | `getTabindex()`
`java.lang.String` | `getViewClass()`
`java.lang.String` | `getViewHoverClass()`
`boolean` | `isEditOnTab()`
`boolean` | `isOpenOnEdit()`
`boolean` | `isSelectOnEdit()`
`boolean` | `isShowControls()`
`boolean` | `isShowValueInView()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setCancelControlIcon(java.lang.String _cancelControlIcon)`
`void` | `setChangedClass(java.lang.String _changedClass)`
`void` | `setControlClass(java.lang.String _controlClass)`
`void` | `setControlHoverClass(java.lang.String _controlHoverClass)`
`void` | `setControlPressClass(java.lang.String _controlPressClass)`
`void` | `setControlsHorizontalPosition(java.lang.String _controlsHorizontalPosition)`
`void` | `setControlsVerticalPosition(java.lang.String _controlsVerticalPosition)`
`void` | `setDefaultLabel(java.lang.String _defaultLabel)`
`void` | `setEditClass(java.lang.String _editClass)`
`void` | `setEditEvent(java.lang.String _editEvent)`
`void` | `setEditOnTab(boolean _editOnTab)`
`void` | `setLayout(java.lang.String _layout)`
`void` | `setListHeight(java.lang.String _listHeight)`
`void` | `setListWidth(java.lang.String _listWidth)`
`void` | `setMaxSelectWidth(java.lang.String _maxSelectWidth)`
`void` | `setMinSelectWidth(java.lang.String _minSelectWidth)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOneditactivated(java.lang.String _oneditactivated)`
`void` | `setOneditactivation(java.lang.String _oneditactivation)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOninputblur(java.lang.String _oninputblur)`
`void` | `setOninputclick(java.lang.String _oninputclick)`
`void` | `setOninputdblclick(java.lang.String _oninputdblclick)`
`void` | `setOninputfocus(java.lang.String _oninputfocus)`
`void` | `setOninputkeydown(java.lang.String _oninputkeydown)`
`void` | `setOninputkeypress(java.lang.String _oninputkeypress)`
`void` | `setOninputkeyup(java.lang.String _oninputkeyup)`
`void` | `setOninputmousedown(java.lang.String _oninputmousedown)`
`void` | `setOninputmousemove(java.lang.String _oninputmousemove)`
`void` | `setOninputmouseout(java.lang.String _oninputmouseout)`
`void` | `setOninputmouseover(java.lang.String _oninputmouseover)`
`void` | `setOninputmouseup(java.lang.String _oninputmouseup)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnselect(java.lang.String _onselect)`
`void` | `setOnviewactivated(java.lang.String _onviewactivated)`
`void` | `setOnviewactivation(java.lang.String _onviewactivation)`
`void` | `setOpenOnEdit(boolean _openOnEdit)`
`void` | `setSaveControlIcon(java.lang.String _saveControlIcon)`
`void` | `setSelectOnEdit(boolean _selectOnEdit)`
`void` | `setSelectWidth(java.lang.String _selectWidth)`
`void` | `setShowControls(boolean _showControls)`
`void` | `setShowValueInView(boolean _showValueInView)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTabindex(int _tabindex)`
`void` | `setViewClass(java.lang.String _viewClass)`
`void` | `setViewHoverClass(java.lang.String _viewHoverClass)`

Methods inherited from class javax.faces.component.UISelectOne
`validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlInplaceSelect

    public HtmlInplaceSelect()

Method Detail

### getCancelControlIcon

    public java.lang.String getCancelControlIcon()

### setCancelControlIcon

    public void setCancelControlIcon(java.lang.String _cancelControlIcon)

### getChangedClass

    public java.lang.String getChangedClass()

### setChangedClass

    public void setChangedClass(java.lang.String _changedClass)

### getControlClass

    public java.lang.String getControlClass()

### setControlClass

    public void setControlClass(java.lang.String _controlClass)

### getControlHoverClass

    public java.lang.String getControlHoverClass()

### setControlHoverClass

    public void setControlHoverClass(java.lang.String _controlHoverClass)

### getControlPressClass

    public java.lang.String getControlPressClass()

### setControlPressClass

    public void setControlPressClass(java.lang.String _controlPressClass)

### getControlsHorizontalPosition

    public java.lang.String getControlsHorizontalPosition()

### setControlsHorizontalPosition

    public void setControlsHorizontalPosition(java.lang.String _controlsHorizontalPosition)

### getControlsVerticalPosition

    public java.lang.String getControlsVerticalPosition()

### setControlsVerticalPosition

    public void setControlsVerticalPosition(java.lang.String _controlsVerticalPosition)

### getDefaultLabel

    public java.lang.String getDefaultLabel()

### setDefaultLabel

    public void setDefaultLabel(java.lang.String _defaultLabel)

### getEditClass

    public java.lang.String getEditClass()

### setEditClass

    public void setEditClass(java.lang.String _editClass)

### getEditEvent

    public java.lang.String getEditEvent()

### setEditEvent

    public void setEditEvent(java.lang.String _editEvent)

### isEditOnTab

    public boolean isEditOnTab()

### setEditOnTab

    public void setEditOnTab(boolean _editOnTab)

### getLayout

    public java.lang.String getLayout()

### setLayout

    public void setLayout(java.lang.String _layout)

### getListHeight

    public java.lang.String getListHeight()

### setListHeight

    public void setListHeight(java.lang.String _listHeight)

### getListWidth

    public java.lang.String getListWidth()

### setListWidth

    public void setListWidth(java.lang.String _listWidth)

### getMaxSelectWidth

    public java.lang.String getMaxSelectWidth()

### setMaxSelectWidth

    public void setMaxSelectWidth(java.lang.String _maxSelectWidth)

### getMinSelectWidth

    public java.lang.String getMinSelectWidth()

### setMinSelectWidth

    public void setMinSelectWidth(java.lang.String _minSelectWidth)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOneditactivated

    public java.lang.String getOneditactivated()

### setOneditactivated

    public void setOneditactivated(java.lang.String _oneditactivated)

### getOneditactivation

    public java.lang.String getOneditactivation()

### setOneditactivation

    public void setOneditactivation(java.lang.String _oneditactivation)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOninputblur

    public java.lang.String getOninputblur()

### setOninputblur

    public void setOninputblur(java.lang.String _oninputblur)

### getOninputclick

    public java.lang.String getOninputclick()

### setOninputclick

    public void setOninputclick(java.lang.String _oninputclick)

### getOninputdblclick

    public java.lang.String getOninputdblclick()

### setOninputdblclick

    public void setOninputdblclick(java.lang.String _oninputdblclick)

### getOninputfocus

    public java.lang.String getOninputfocus()

### setOninputfocus

    public void setOninputfocus(java.lang.String _oninputfocus)

### getOninputkeydown

    public java.lang.String getOninputkeydown()

### setOninputkeydown

    public void setOninputkeydown(java.lang.String _oninputkeydown)

### getOninputkeypress

    public java.lang.String getOninputkeypress()

### setOninputkeypress

    public void setOninputkeypress(java.lang.String _oninputkeypress)

### getOninputkeyup

    public java.lang.String getOninputkeyup()

### setOninputkeyup

    public void setOninputkeyup(java.lang.String _oninputkeyup)

### getOninputmousedown

    public java.lang.String getOninputmousedown()

### setOninputmousedown

    public void setOninputmousedown(java.lang.String _oninputmousedown)

### getOninputmousemove

    public java.lang.String getOninputmousemove()

### setOninputmousemove

    public void setOninputmousemove(java.lang.String _oninputmousemove)

### getOninputmouseout

    public java.lang.String getOninputmouseout()

### setOninputmouseout

    public void setOninputmouseout(java.lang.String _oninputmouseout)

### getOninputmouseover

    public java.lang.String getOninputmouseover()

### setOninputmouseover

    public void setOninputmouseover(java.lang.String _oninputmouseover)

### getOninputmouseup

    public java.lang.String getOninputmouseup()

### setOninputmouseup

    public void setOninputmouseup(java.lang.String _oninputmouseup)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselect

    public java.lang.String getOnselect()

### setOnselect

    public void setOnselect(java.lang.String _onselect)

### getOnviewactivated

    public java.lang.String getOnviewactivated()

### setOnviewactivated

    public void setOnviewactivated(java.lang.String _onviewactivated)

### getOnviewactivation

    public java.lang.String getOnviewactivation()

### setOnviewactivation

    public void setOnviewactivation(java.lang.String _onviewactivation)

### isOpenOnEdit

    public boolean isOpenOnEdit()

### setOpenOnEdit

    public void setOpenOnEdit(boolean _openOnEdit)

### getSaveControlIcon

    public java.lang.String getSaveControlIcon()

### setSaveControlIcon

    public void setSaveControlIcon(java.lang.String _saveControlIcon)

### isSelectOnEdit

    public boolean isSelectOnEdit()

### setSelectOnEdit

    public void setSelectOnEdit(boolean _selectOnEdit)

### getSelectWidth

    public java.lang.String getSelectWidth()

### setSelectWidth

    public void setSelectWidth(java.lang.String _selectWidth)

### isShowControls

    public boolean isShowControls()

### setShowControls

    public void setShowControls(boolean _showControls)

### isShowValueInView

    public boolean isShowValueInView()

  Specified by:
    `isShowValueInView` in class `UIInplaceSelect`

### setShowValueInView

    public void setShowValueInView(boolean _showValueInView)

  Specified by:
    `setShowValueInView` in class `UIInplaceSelect`

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getTabindex

    public int getTabindex()

### setTabindex

    public void setTabindex(int _tabindex)

### getViewClass

    public java.lang.String getViewClass()

### setViewClass

    public void setViewClass(java.lang.String _viewClass)

### getViewHoverClass

    public java.lang.String getViewHoverClass()

### setViewHoverClass

    public void setViewHoverClass(java.lang.String _viewHoverClass)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectOne`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.